package main

import (
	"bufio"
	"log/slog"
	"os"

	"code.app-house.ru/go/tl"
)

func main() {
	templates, err := tl.LoadWithOptions(
		// Main templates.
		tl.Collection{
			RootDir: "templates/pages",
		},
		tl.Options{
			SharedCollections: []tl.Collection{
				tl.Collection{
					RootDir: "templates/layouts",
					Prefix:  "layouts", // template name prefix, may be omitted.
				},
				tl.Collection{
					RootDir: "templates/icons",
					Prefix:  "icons",
				},
				// you can add other collections (e.g. snippets, components...)
			},
		},
	)
	if err != nil {
		slog.Error("can't load templates", "err", err)
		os.Exit(-1)
	}

	w := bufio.NewWriter(os.Stdout)
	err = templates["index.html"].Execute(w, nil)
	if err != nil {
		slog.Error("can't execute index.html", "err", err)
		os.Exit(-1)
	}
	w.Flush()
}
